/*
 ***************************************************************************
 * Ralink Tech Inc.
 * 4F, No. 2 Technology	5th	Rd.
 * Science-based Industrial	Park
 * Hsin-chu, Taiwan, R.O.C.
 *
 * (c) Copyright 2002, Ralink Technology, Inc.
 *
 * All rights reserved.	Ralink's source	code is	an unpublished work	and	the
 * use of a	copyright notice does not imply	otherwise. This	source code
 * contains	confidential trade secret material of Ralink Tech. Any attemp
 * or participation	in deciphering,	decoding, reverse engineering or in	any
 * way altering	the	source code	is stricitly prohibited, unless	the	prior
 * written consent of Ralink Technology, Inc. is obtained.
 ***************************************************************************

	Module Name:
	sitewepdlg.h

	Abstract:
		Implement WEP dialog for connecting when AP enable WEP.

	Revision History:
	Who			When		  What
	--------	----------	  ----------------------------------------------
	Paul Wu		01-22-2003	  created

*/

#ifndef SITEWEPDLG_H
#define SITEWEPDLG_H

#include <qvariant.h>
#include <qdialog.h>

#include "qhexvalidator.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QCheckBox;
class QComboBox;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;

class SiteWepDlg : public QDialog
{ 
	Q_OBJECT

public:
	SiteWepDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~SiteWepDlg();

	QFrame* Frame5;
	QButtonGroup* ButtonGroup3;
	QLabel* TextLabel10_2;
	QComboBox* WepAuthenticationComboBox;
	QButtonGroup* ButtonGroup4;
	QLabel* TextLabel11_2;
	QLabel* TextLabel12_2;
	QButtonGroup* ButtonGroup5_2;
	QRadioButton* WepKey1RadioButton;
	QRadioButton* WepKey2RadioButton;
	QRadioButton* WepKey3RadioButton;
	QRadioButton* WepKey4RadioButton;
	QLineEdit* WepKey1LineEdit;
	QLineEdit* WepKey2LineEdit;
	QLineEdit* WepKey3LineEdit;
	QLineEdit* WepKey4LineEdit;
	QComboBox* WepWEPKeyTypeComboBox;
	QComboBox* WepWEPKeyLengthComboBox;
	QCheckBox* EncryptionCheckBox;
	QPushButton* WepOkPushButton;
	QPushButton* WepCancelPushButton;

	QHexValidator  *hexValidator;	 
	bool  isWepOk;

	int	 Get_Wep_KeyID();
	int  Get_Wep_KeyLength();
	int  Get_Wep_KeyType();
	const char *Get_Wep_KeyString(int index);
	void m_ChangeAuthType(int type);   //0: open system,  1: shared key
	void m_EnableAuthType(bool bFlag);
	int  m_GetWepAuthenType();
	bool m_IsClickWepOkButton();

public slots:	
	virtual	void WepOkPushButton_Click();
	virtual	void WepCancelPushButton_Click();
	virtual	void EncryptionCheckBox_toggled(bool);
	virtual	void WepWEPKeyTypeComboBox_activated(int);
	virtual	void WepWEPKeyLengthComboBox_activated(int);
};

#endif // SITEWEPDLG_H
